#
# spec file for package libnetfilter_cthelper
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libnetfilter_cthelper
%define lname	%{name}0
Version:        1.0.1
Release:        1.7
Summary:        Userspace library for the Netfilter Conntrack Helper extension
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Security
URL:            https://netfilter.org/projects/libnetfilter_cthelper/

#Git-Web:       https://git.netfilter.org/libnetfilter_cthelper/
#Git-Clone:     git://git.netfilter.org/libnetfilter_cthelper
Source:         https://www.netfilter.org/pub/libnetfilter_cthelper/libnetfilter_cthelper-%version.tar.bz2
Source2:        https://www.netfilter.org/pub/libnetfilter_cthelper/libnetfilter_cthelper-%version.tar.bz2.sig
Source3:        baselibs.conf
Source4:        %name.keyring
BuildRequires:  pkgconfig(libmnl) >= 1.0.0

%description
This library provides the programming interface (API) to the
Netfilter userspace helper infrastructure.

%package -n %lname
Summary:        Userspace library for the Netfilter Conntrack Helper extension
Group:          System/Libraries

%description -n %lname
This library provides the programming interface (API) to the
Netfilter userspace helper infrastructure.

%package devel
Summary:        Userspace library for the Netfilter Conntrack Helper extension
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
This library provides the programming interface (API) to the
Netfilter userspace helper infrastructure.

%prep
%autosetup -p1

%build
if [ ! -e configure ]; then
	autoreconf -fi
fi
# includedir intentional, cf. bugzilla.opensuse.org/795968
%configure --disable-static --includedir="%_includedir/%name"
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%_libdir/libnetfilter_cthelper.so.0*

%files devel
%_includedir/%name/
%_libdir/libnetfilter_cthelper.so
%_libdir/pkgconfig/libnetfilter_cthelper.pc

%changelog
* Thu May  5 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.0.1
  * Allow build on uclinux
  * Resolve use-after-free in nfct_helper_free()
  * Resolve double free in nfct-helper-add example
  * Fixed incorrect netlink message building with multiple nfct
    helper policies
- Drop fix_h_expect_policy_free.patch (merged)
* Wed Oct 14 2020 Jan Engelhardt <jengelh@inai.de>
- Modernize specfile constructs.
* Mon Dec  8 2014 jengelh@inai.de
- Remove version from subinclude directory; it tends to break
  recompiles of third software after a library update.
* Sun Dec  7 2014 cshorler@googlemail.com
- Add fix_h_expect_policy_free.patch to fix crash due to following
  a just-freed pointer [bnc#908875]
* Tue Sep 23 2014 jengelh@inai.de
- Drop gpg-offline build-time requirement; this is now handled by
  the local source validator
* Wed Nov 28 2012 sbrabec@suse.cz
- Verify GPG signature
* Mon Oct  8 2012 jengelh@inai.de
- Update to initial official release 1.0.0
  * This library provides the infrastructure for the user-space
  helper infrastructure available since the Linux kernel 3.6.
* Fri Aug 31 2012 jengelh@inai.de
- Rectify baselibs.conf to include the right package name
* Mon Jun  4 2012 jengelh@inai.de
- Initial package for build.opensuse.org
